# pandas.DataFrame.set_value

`DataFrame.``set_value`(index, col, value, takeable=False)

  Put single value at passed column and index.

  Deprecated since version 0.21.0: Use .at[] or .iat[] accessors instead.

  Parameters: | index : row label col : column label value : scalar takeable : interpret the index/col as indexers, default False

  Returns:

  DataFrame

  > If label pair is contained, will be reference to calling DataFrame, otherwise a new object.

Scroll To Top